body{
    margin: 0;
    padding: 0;
}
a{
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%,-50%);
    width: 180px;
    height: 60px;
    text-align: center;
    line-height: 60px;
    font-family: Verdana, Geneva, Tahoma, sans-serif;
    text-transform: uppercase;
    text-decoration: none;
    letter-spacing: 6px;
    border: 2px solid #a133b4;
    font-size: 24px;
    transition: .5s;
    color: #a133b4;
    overflow: hidden;
}
a:hover{
    color:#fff;
}
a span{
    position: absolute;
    width: 100%;
    height: 100%;
    background: #a133b4;
    opacity: .5;
    transition: .5s;
    z-index: -1;
}
a span:nth-child(1){
    top: -100%;
    left: -100% ;
}
a:hover span:nth-child(1){
    top: 0;
    left: 0;
}
a span:nth-child(2){
    bottom: -100%;
    left: -100% ;
}
a:hover span:nth-child(2){
    bottom: 0;
    left: 0 ;
}
a span:nth-child(3){
    top: -100%;
    right: -100% ;
}
a:hover span:nth-child(3){
    top: 0;
    right: 0 ;
}
a span:nth-child(4){
    bottom: -100%;
    right: -100% ;
}
a:hover span:nth-child(4){
    bottom: 0;
    right: 0 ;
}